# Class AprEndpoint.SocketProcessor

java.lang.Object
org.apache.tomcat.util.net.SocketProcessorBase<Long>
org.apache.tomcat.util.net.AprEndpoint.SocketProcessor

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `AprEndpoint`

protected class AprEndpoint.SocketProcessor extends SocketProcessorBase<Long>
This class is the equivalent of the Worker, but will simply use in an external Executor thread pool.

## Field Summary

### Fields inherited from class SocketProcessorBase

`event, socketWrapper`

## Constructor Summary

Constructors
Constructor
Description
`SocketProcessor(SocketWrapperBase<Long> socketWrapper, SocketEvent event)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doRun()`
Performs the actual socket processing work.

### Methods inherited from class SocketProcessorBase

`reset, run`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SocketProcessor

public SocketProcessor(SocketWrapperBase<Long> socketWrapper, SocketEvent event)

## Method Details

### doRun

protected void doRun()
Description copied from class: `SocketProcessorBase`
Performs the actual socket processing work. Subclasses implement this method to define the specific processing logic for each endpoint type.

Specified by:
  `doRun` in class `SocketProcessorBase<Long>`